Changeset 31936 for extensions


Ignore:
Timestamp:
Jul 18, 2018, 2:22:10 PM (2 years ago)
Author:
plg
Message:

Change required PHP version to 5.3.0

No longer tries to configure PHP 5 with htaccess (this feature may come back for PHP 7 later)

Location:
extensions/netinstall/trunk
Files:
23 edited

Legend:

Unmodified
Added
Removed
  • extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt

    r30031 r31936  
    3636$lang['Refresh'] = 'Obnovit';
    3737
    38 $lang['PHP 5 is required'] = 'Je požadováno PHP verze 5.2';
     38$lang['PHP %s is required'] = 'Je požadováno PHP verze %s';
    3939$lang['It appears your webhost is currently running PHP %s.'] = 'Váš webhosting aktuálně používá PHP %s.';
    4040$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall zkusí navolit konfiguraci na PHP 5.2 vytvořením nebo modifikací .htaccess souboru.';
  • extensions/netinstall/trunk/language/da_DK/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Opfrisk';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 er krævet';
     37$lang['PHP %s is required'] = 'PHP %s er krævet';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Det ser ud til at din webhost i øjeblikket kører PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall kan prøve at skifte din opsætning til PHP 5.2, ved at oprette eller ændre en .htaccess-fil.';
  • extensions/netinstall/trunk/language/de_DE/loader.lang.txt

    r31702 r31936  
    3535$lang['Refresh'] = 'Aktualisieren';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 ist erforderlich';
     37$lang['PHP %s is required'] = 'PHP %s ist erforderlich';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Scheinbar läuft auf ihrem Host die PHP-Version %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen, durch die Erstellung oder Änderung einer .htaccess-Datei zu PHP 5.2 zu wechseln.';
  • extensions/netinstall/trunk/language/el_GR/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Ανανέωση';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 είναι απαραίτητο';
     37$lang['PHP %s is required'] = 'PHP %s είναι απαραίτητο';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Φαίνεται ότι ο webhost σας εκτελεί PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Το NetInstall μπορεί να προσπαθήσει να αλλάξετε τις ρυθμίσεις σας σε PHP 5.2, με τη δημιουργία ή την τροποποίηση ενός αρχείου .htaccess.';
  • extensions/netinstall/trunk/language/en_UK/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Refresh';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 is required';
     37$lang['PHP %s is required'] = 'PHP %s is required';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'It appears your webhost is currently running PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall may try to switch your configuration to PHP 5.2 by creating or modifying a .htaccess file.';
  • extensions/netinstall/trunk/language/es_ES/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Actualizar';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 es requerido';
     37$lang['PHP %s is required'] = 'PHP %s es requerido';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Aparentemente, la versión PHP de su hébergeur es PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall tratara de pasar en PHP 5.2 creando o modificando el fichero .htaccess.';
  • extensions/netinstall/trunk/language/fa_IR/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'ریفرش';
    3636
    37 $lang['PHP 5 is required'] = 'نگارش پنجم PHP مورد نیاز است';
    3837$lang['It appears your webhost is currently running PHP %s.'] = 'به نظر می‌رسد هاست شما نگارش %s از PHP را بکار می‌برد.';
    3938$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'شاید NetInstall با ویرایش یک پرونده‌ی .htaccess پیکربندی شما را به PHP 5.2 تغییر دهد.';
  • extensions/netinstall/trunk/language/fr_FR/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Actualiser';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 est requis';
     37$lang['PHP %s is required'] = 'PHP %s est requis';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Apparemment, la version PHP de votre hébergeur est PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall va essayer de passer en PHP 5.2 en créant ou en modifiant le fichier .htaccess.';
  • extensions/netinstall/trunk/language/gl_ES/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Actualizar';
    3636
    37 $lang['PHP 5 is required'] = 'Requírese PHP 5.2';
     37$lang['PHP %s is required'] = 'Requírese PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu aloxamento web está a executar a versión de PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tratar de mudar a túa configuración a PHP 5.2 a traveso da creación ou modificación do ficheiro .htaccess.';
  • extensions/netinstall/trunk/language/hu_HU/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Frissítés';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 szükséges';
     37$lang['PHP %s is required'] = 'PHP %s szükséges';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Úgy tűnik, a tárhelyszolgáltatójánál jelenleg PHP %s fut.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'A NetInstall megpróbálhatja bekapcsolni a PHP 5.2-öt azáltal, hogy létrehoz vagy módosít egy .htaccess fájlt.';
  • extensions/netinstall/trunk/language/it_IT/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Refresh';
    3636
    37 $lang['PHP 5 is required'] = 'È necessario PHP 5.2';
     37$lang['PHP %s is required'] = 'È necessario PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall cerchrà di passare in PHP 5.2 creando o modificando il file .htaccess';
  • extensions/netinstall/trunk/language/lv_LV/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Atsvaidzināt';
    3636
    37 $lang['PHP 5 is required'] = 'Nepieciešams PHP 5.2';
     37$lang['PHP %s is required'] = 'Nepieciešams PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Izskatās, ka jūsu web pakalpojuma sniedzējs patlaban strādā ar PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall var mēģināt pārslēgt jūsu konfigurāciju uz PHP 5.2, izveidojot vai modificējot  .htaccess failu.';
  • extensions/netinstall/trunk/language/nb_NO/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Refresh';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 kreves';
     37$lang['PHP %s is required'] = 'PHP %s kreves';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Det ser ut til at din web leverandør kjører PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] ='NetInstall kan prøve å bytte din konfigurasjon til 5.2 ved å lage eller endre en .htaccess fil.';
  • extensions/netinstall/trunk/language/nl_NL/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Ververs';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 is noodzakelijk';
     37$lang['PHP %s is required'] = 'PHP %s is noodzakelijk';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Het lijkt erop dat uw webhost op het moment PHP %s draait.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall kan proberen uw configuratie om te zetten naar PHP 5 door het aanmaken of wijzigen van een .htaccess bestand.';
  • extensions/netinstall/trunk/language/pl_PL/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Odśwież';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 jest wymagane';
     37$lang['PHP %s is required'] = 'PHP %s jest wymagane';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Twój serwer aktualnie używa PHP w wersji %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall może spróbować przełączyć Twoją konfigurację do PHP 5.2 poprzez modyfikację pliku .htaccess.';
  • extensions/netinstall/trunk/language/pt_BR/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Atualizar';
    3636
    37 $lang['PHP 5 is required'] = 'É necessário PHP 5.2';
     37$lang['PHP %s is required'] = 'É necessário PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu site está sendo executado em PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tentar mudar sua configuração para o PHP 5.2, criando ou modificando um arquivo .htaccess.';
  • extensions/netinstall/trunk/language/pt_PT/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Refrescar';
    3636
    37 $lang['PHP 5 is required'] = 'è necessário PHP 5.2';
     37$lang['PHP %s is required'] = 'è necessário PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu server de alojamento tem o PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall tentará alterar a configuração para o PHP 5.2, criar ou modificar o arquivo .taccess.';
  • extensions/netinstall/trunk/language/ru_RU/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Обновить';
    3636
    37 $lang['PHP 5 is required'] = 'требуется PHP 5.2';
     37$lang['PHP %s is required'] = 'требуется PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Похоже, что тарифный плван Вашего хостинга использует версию PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall может попытаться переконфигурировать к версии PHP 5.2 с помощью создания или модификации файла .htaccess.';
  • extensions/netinstall/trunk/language/sk_SK/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Obnoviť';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 je potrebné';
     37$lang['PHP %s is required'] = 'PHP %s je potrebné';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Zdá sa, že Váš webhosting beží na PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Sieťová inštalácia NetInstall sa môže pokúsiť prepnúť Vašu konfiguráciu na PHP 5.2 vytvorením alebo modifikovaním .htaccess súboru.';
  • extensions/netinstall/trunk/language/tr_TR/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Yenile';
    3636
    37 $lang['PHP 5 is required'] = 'PHP 5.2 gerekli';
     37$lang['PHP %s is required'] = 'PHP %s gerekli';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Webhost\'un halen PHP %s \'ile çalışıyor.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetKurulum ayarların değiştirilebilir  .htaccess doyasını oluşturarak yada düzenleyerek NetKurulum için gerekli PHP 5.2 ayarlarını yapabilirsiniz.';
  • extensions/netinstall/trunk/language/uk_UA/loader.lang.txt

    r30031 r31936  
    3535$lang['Refresh'] = 'Оновити';
    3636
    37 $lang['PHP 5 is required'] = 'Потрібен PHP 5.2';
     37$lang['PHP %s is required'] = 'Потрібен PHP %s';
    3838$lang['It appears your webhost is currently running PHP %s.'] = 'Схоже, ваш хостинг в даний час працює з PHP %s.';
    3939$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall може спробувати переключити конфігурацію PHP 5.2 шляхом створення або зміни .htaccess файла.';
  • extensions/netinstall/trunk/language/zh_CN/loader.lang.txt

    r30031 r31936  
    3434$lang['Refresh'] = '刷新';
    3535
    36 $lang['PHP 5 is required'] = '需要 PHP 5.2 ';
     36$lang['PHP %s is required'] = '需要 PHP %s';
    3737$lang['It appears your webhost is currently running PHP %s.'] = '你的服务器当前运行的是 PHP %s.';
    3838$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = '网络安装程序也许试图通过创建或者修改 .htaccess 文件以改变你的 PHP 5.2 的配置。';
  • extensions/netinstall/trunk/piwigo-netinstall.php

    r30031 r31936  
    1717define('DC_LOADER_SERVICE','http://piwigo.org/download/netinstall/');
    1818define('DC_LOADER_ARCHIVE','http://piwigo.org/download/dlcounter.php?code=latest');
     19define('REQUIRED_PHP_VERSION', '5.6.31');
    1920
    2021$available_languages = array(
     
    6566
    6667$step = !empty($_REQUEST['step']) ? (integer)$_REQUEST['step'] : 1;
    67 $got_php5 = version_compare(PHP_VERSION, '5.2', '>=');
     68$got_php5 = version_compare(PHP_VERSION, REQUIRED_PHP_VERSION, '>=');
    6869if (!$got_php5 && $step != 2)
    6970{
     
    441442    elseif (!$got_php5)
    442443    {
    443       writeMessage('notice',l10n('PHP 5 is required'), array(
     444      writeMessage('notice',sprintf(l10n('PHP %s is required'), REQUIRED_PHP_VERSION), array(
    444445        sprintf(l10n('It appears your webhost is currently running PHP %s.'), PHP_VERSION),
    445         l10n('NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'),
    446         l10n('Note you can change your configuration by yourself and restart NetInstall after that.')
     446        // l10n('NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'),
     447        // l10n('Note you can change your configuration by yourself and restart NetInstall after that.')
    447448      ));
    448       nextAction(l10n('Try to configure PHP 5'),2);
     449
     450      // 2018-07-18 : Piwigo 2.9.4 is out and now requires PHP 5.3 instead of 5.2.
     451      // I realize NetInstall has this procedure which try to force PHP 5 instead
     452      // of PHP 4. This procedure has become useless in 2018. I comment it for now,
     453      // because we may need it in a few years when PHP 7 will become mandatory.
     454
     455      // nextAction(l10n('Try to configure PHP 5'),2);
    449456    }
    450457    else
Note: See TracChangeset for help on using the changeset viewer.